<script lang="ts">
    let tonight;
    let lastNight;

    let timeCoffeeAllowed;

    const t = time => {
        let timeNumber = 0;

        // Add Hours
        timeNumber += 3600 * time.substring(0, 2);
        // Add Minutes
        timeNumber += 60 * time.substring(3, 5);

        return timeNumber;
    }

    $: if (tonight && lastNight) {

        // If gone to sleep later than 23:30, then do not allow coffee after 18:00
        if (t(tonight) < t("23:30"))
            // If gone to sleep later than 23:30 the previous night, then do not allow coffee after 19:30
            if (t(lastNight) < t("23:30"))
                timeCoffeeAllowed = "19:30";
            else timeCoffeeAllowed = "19:00";
        else timeCoffeeAllowed = "18:00";

    }
</script>

<div id="card">
    <div class="g">
        <b>Went to sleep...</b>
        <label>
            Today
            <input type="time" name="time" id="time" bind:value={tonight} />
        </label>
        <label>
            Yesterday
            <input type="time" name="time" id="time" bind:value={lastNight} />
        </label>
    </div>
    <div class="g">
        You are allowed to drink<br> coffee until: <span>
            <b>{timeCoffeeAllowed}</b>
        </span>
    </div>
</div>

<style>
    #card {
        padding: 15px;
        background: var(--foreground);
		box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
        border-radius: 7px;
        
        display: grid;
        gap: 30px;
        grid-template-columns: auto auto;
    }

    .g {
        display: grid;
    }

    label {
        display: grid;
        grid-template-columns: 100px auto;
    }

    input {
        padding: 2px;
        border-radius: 4px;
    }
</style>